"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
require("jsdom-global/register");
var chai_1 = require("chai");
var sinon = tslib_1.__importStar(require("sinon"));
var player_factory_1 = require("./player-factory");
describe('registerModule', function () {
    it('should add additional module', function () {
        var spy = sinon.spy();
        var ClassA = /** @class */ (function () {
            function ClassA() {
                spy();
            }
            return ClassA;
        }());
        player_factory_1.registerModule('ClassA', ClassA);
        /*const player = */ player_factory_1.create();
        chai_1.expect(spy.called).to.be.true;
        player_factory_1.clearAdditionalModules();
    });
});
describe('Player', function () {
    var player;
    beforeEach(function () {
        player = player_factory_1.create();
    });
    describe('constructor', function () {
        it('should create instance ', function () {
            chai_1.expect(player).to.exist;
            chai_1.expect(player._defaultModules.engine).to.exist;
            chai_1.expect(player.getElement()).to.exist;
            chai_1.expect(player._defaultModules.eventEmitter).to.exist;
        });
        it('should create separate instances', function () {
            var player2 = player_factory_1.create();
            chai_1.expect(player._defaultModules.engine).to.not.be.equal(player2._defaultModules.engine);
            chai_1.expect(player.getElement()).to.not.be.equal(player2.getElement());
            chai_1.expect(player._defaultModules.eventEmitter).to.not.be.equal(player2._defaultModules.eventEmitter);
        });
    });
});
//# sourceMappingURL=player-factory.spec.js.map