"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var player_factory_1 = require("./core/player-factory");
exports.create = player_factory_1.create;
exports.registerModule = player_factory_1.registerModule;
exports.clearAdditionalModules = player_factory_1.clearAdditionalModules;
exports.registerPlaybackAdapter = player_factory_1.registerPlaybackAdapter;
exports.clearPlaybackAdapters = player_factory_1.clearPlaybackAdapters;
var default_modules_1 = require("./core/default-modules");
exports.DefaultModules = default_modules_1.modules;
var tooltip_1 = require("./modules/ui/core/tooltip");
exports.Tooltip = tooltip_1.Tooltip;
var player_api_decorator_1 = tslib_1.__importDefault(require("./core/player-api-decorator"));
exports.playerAPIDecorator = player_api_decorator_1.default;
var constants_1 = require("./constants");
exports.ERRORS = constants_1.ERRORS;
exports.UI_EVENTS = constants_1.UI_EVENTS;
exports.VIDEO_EVENTS = constants_1.VIDEO_EVENTS;
exports.TEXT_LABELS = constants_1.TEXT_LABELS;
exports.MEDIA_STREAM_TYPES = constants_1.MEDIA_STREAM_TYPES;
exports.MEDIA_STREAM_DELIVERY_PRIORITY = constants_1.MEDIA_STREAM_DELIVERY_PRIORITY;
exports.ENGINE_STATES = constants_1.ENGINE_STATES;
exports.LIVE_STATES = constants_1.LIVE_STATES;
var types_1 = require("./modules/playback-engine/types");
exports.PRELOAD_TYPES = types_1.PreloadType;
exports.CROSS_ORIGIN_VALUES = types_1.CrossOriginValue;
var types_2 = require("./modules/ui/screen/types");
exports.VIDEO_VIEW_MODES = types_2.VideoViewMode;
exports.default = {
    create: player_factory_1.create,
    registerModule: player_factory_1.registerModule,
    clearAdditionalModules: player_factory_1.clearAdditionalModules,
    registerPlaybackAdapter: player_factory_1.registerPlaybackAdapter,
    clearPlaybackAdapters: player_factory_1.clearPlaybackAdapters,
    ERRORS: constants_1.ERRORS,
    UI_EVENTS: constants_1.UI_EVENTS,
    VIDEO_EVENTS: constants_1.VIDEO_EVENTS,
    TEXT_LABELS: constants_1.TEXT_LABELS,
    MEDIA_STREAM_TYPES: constants_1.MEDIA_STREAM_TYPES,
    MEDIA_STREAM_DELIVERY_PRIORITY: constants_1.MEDIA_STREAM_DELIVERY_PRIORITY,
    ENGINE_STATES: constants_1.ENGINE_STATES,
    LIVE_STATES: constants_1.LIVE_STATES,
    VIDEO_VIEW_MODES: types_2.VideoViewMode,
    PRELOAD_TYPES: types_1.PreloadType,
    CROSS_ORIGIN_VALUES: types_1.CrossOriginValue,
    Tooltip: tooltip_1.Tooltip,
    playerAPIDecorator: player_api_decorator_1.default,
    DefaultModules: default_modules_1.modules,
};
//# sourceMappingURL=index.js.map