import { CrossOriginValue, INativeDebugInfo, IVideoOutput, PlayableMediaSource, PreloadType } from '../../types';
import { IPlaybackAdapter, IPlaybackAdapterClass } from './adapters/types';
import { IEventEmitter } from '../../../event-emitter/types';
import { IPlayerConfig } from '../../../../core/config';
import { EngineState } from '../../../../constants';
export default class NativeOutput implements IVideoOutput {
    static moduleName: string;
    static dependencies: string[];
    private _video;
    private _availablePlaybackAdapters;
    private _eventEmitter;
    private _stateEngine;
    private _nativeEventsBroadcaster;
    private _adapterStrategy;
    private _playPromise;
    private _pauseRequested;
    constructor({ eventEmitter, config, availablePlaybackAdapters, }: {
        eventEmitter: IEventEmitter;
        config: IPlayerConfig;
        availablePlaybackAdapters: IPlaybackAdapterClass[];
    });
    private _createVideoTag;
    play(): void;
    pause(): void;
    setMute(mute: boolean): void;
    setAutoplay(isAutoplay: boolean): void;
    setInline(isPlaysinline: boolean): void;
    setCrossOrigin(crossOrigin?: CrossOriginValue): void;
    setCurrentTime(time: number): void;
    setVolume(volume: number): void;
    setLoop(isLoop: boolean): void;
    setPlaybackRate(rate: number): void;
    setPreload(preload?: PreloadType): void;
    setSrc(src?: PlayableMediaSource, callback?: Function): void;
    syncWithLive(): void;
    getElement(): HTMLVideoElement;
    private _getViewDimensions;
    readonly volume: number;
    readonly currentTime: number;
    readonly duration: number;
    readonly autoplay: boolean;
    readonly crossOrigin: CrossOriginValue;
    readonly playbackRate: number;
    readonly buffered: TimeRanges;
    readonly preload: PreloadType;
    readonly isPaused: boolean;
    readonly isMuted: boolean;
    readonly isEnded: boolean;
    readonly isInline: boolean;
    readonly isAutoplay: boolean;
    readonly isLoop: boolean;
    readonly isMetadataLoaded: boolean;
    readonly isDynamicContent: boolean;
    readonly isDynamicContentEnded: boolean;
    readonly isSeekAvailable: boolean;
    readonly isSyncWithLive: boolean;
    readonly isPreloadActive: boolean;
    readonly isAutoPlayActive: boolean;
    readonly videoHeight: number;
    readonly videoWidth: number;
    readonly src: PlayableMediaSource;
    readonly currentState: EngineState;
    readonly attachedAdapter: IPlaybackAdapter;
    getDebugInfo(): INativeDebugInfo;
    destroy(): void;
}
