"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var player_factory_1 = require("../core/player-factory");
var dependency_container_1 = tslib_1.__importDefault(require("../core/dependency-container"));
var asClass = dependency_container_1.default.asClass;
function setProperty(target, propertyKey, propertyValue) {
    Reflect.defineProperty(target, propertyKey, tslib_1.__assign(tslib_1.__assign({}, Reflect.getOwnPropertyDescriptor(target.constructor.prototype, propertyKey)), { get: function () { return propertyValue; } }));
}
exports.setProperty = setProperty;
function resetProperty(target, propertyKey) {
    Reflect.deleteProperty(target, propertyKey);
}
exports.resetProperty = resetProperty;
function createPlayerTestkit(config, adapters) {
    if (config === void 0) { config = {}; }
    if (adapters === void 0) { adapters = []; }
    var scope = player_factory_1.container.createScope();
    scope.registerValue('config', config);
    scope.registerValue('themeConfig', null);
    scope.registerValue('availablePlaybackAdapters', tslib_1.__spreadArrays(adapters));
    return {
        getModule: function (name) {
            return scope.resolve(name);
        },
        registerModule: function (name, fn) {
            scope.register(name, asClass(fn));
        },
        registerModuleAsSingleton: function (name, fn) {
            scope.register(name, asClass(fn).scoped());
        },
        setConfig: function (newConfig) {
            scope.registerValue('config', tslib_1.__assign({}, newConfig));
        },
        setPlaybackAdapters: function (newAdapters) {
            scope.registerValue('availablePlaybackAdapters', tslib_1.__spreadArrays(newAdapters));
        },
    };
}
exports.default = createPlayerTestkit;
//# sourceMappingURL=index.js.map