import { MediaStreamType, MediaStreamDeliveryPriority } from '../constants';
import { IPlaybackAdapter } from '../modules/playback-engine/output/native/adapters/types';
import { IEventEmitter } from '../modules/event-emitter/types';
import { IParsedPlayableSource } from '../modules/playback-engine/types';
export default class DashAdapter implements IPlaybackAdapter {
    static isSupported(): boolean;
    private eventEmitter;
    private dashPlayer;
    private mediaStream;
    private videoElement;
    constructor(eventEmitter: IEventEmitter);
    canPlay(mediaType: MediaStreamType): boolean;
    readonly mediaStreamDeliveryPriority: MediaStreamDeliveryPriority;
    readonly currentUrl: string;
    readonly syncWithLiveTime: any;
    readonly isDynamicContent: boolean;
    readonly isDynamicContentEnded: boolean;
    readonly isSyncWithLive: boolean;
    readonly isSeekAvailable: boolean;
    readonly debugInfo: {
        bwEstimate: any;
        deliveryPriority: MediaStreamDeliveryPriority;
        bitrates: any;
        currentBitrate: any;
        overallBufferLength: any;
        currentTrack: any;
        nearestBufferSegInfo: {
            start: number;
            end: number;
        };
        url: string;
        type: MediaStreamType;
    };
    private _bindCallbacks;
    setMediaStreams(mediaStreams: IParsedPlayableSource[]): void;
    private _logError;
    private _broadcastError;
    attach(videoOutput: HTMLVideoElement): void;
    private _delayedInitPlayer;
    private _startDelayedInitPlayer;
    private _stopDelayedInitPlayer;
    private _initPlayer;
    detach(): void;
}
