import { IPictureInPictureHelper } from './types';
export interface ChromeWebkitHTMLVideo extends HTMLVideoElement {
    requestPictureInPicture: () => Promise<void>;
}
export interface ChromeDocument extends Document {
    pictureInPictureEnabled?: boolean;
    pictureInPictureElement?: Element;
    exitPictureInPicture: () => Promise<void>;
}
export default class ChromePictureInPicture implements IPictureInPictureHelper {
    private _$elem;
    private _callback;
    constructor(elem: HTMLVideoElement, callback: EventListener);
    readonly isAPIExist: boolean;
    readonly isAPIEnabled: boolean;
    readonly isInPictureInPicture: boolean;
    readonly isEnabled: boolean;
    private _bindEvents;
    private _unbindEvents;
    private _enterWhenHasMetaData;
    private catchException;
    request(): false | Promise<void>;
    exit(): boolean;
    destroy(): void;
}
