import { CrossOriginValue, IVideoOutput, PlayableMediaSource, PreloadType } from '../../types';
import { EngineState } from '../../../../constants';
import { IEventEmitter } from '../../../event-emitter/types';
import { IChromecastDebugInfo } from './types';
export default class ChromecastOutput implements IVideoOutput {
    type: string;
    private _playerController;
    private _player;
    private _stateEngine;
    private _eventEmitter;
    private _src;
    private _isAutoplay;
    constructor(eventEmitter: IEventEmitter);
    play(): Promise<void>;
    pause(): void;
    setMute(mute: boolean): void;
    setAutoplay(isAutoplay: boolean): void;
    setInline(): void;
    setCrossOrigin(): void;
    setCurrentTime(time: number): void;
    setVolume(volume: number): void;
    setLoop(): void;
    setPlaybackRate(): void;
    setPreload(): void;
    setSrc(source: PlayableMediaSource, callback?: Function): void;
    private _initRemote;
    getElement(): null;
    getDebugInfo(): IChromecastDebugInfo;
    readonly volume: number;
    readonly currentTime: number;
    readonly duration: number;
    readonly autoplay: boolean;
    readonly crossOrigin: CrossOriginValue;
    readonly playbackRate: number;
    readonly buffered: {
        end: () => number;
        start: () => number;
        length: number;
    };
    readonly preload: PreloadType;
    readonly isPaused: boolean;
    readonly isMuted: boolean;
    readonly isEnded: boolean;
    readonly isInline: boolean;
    readonly isAutoplay: boolean;
    readonly isSeekAvailable: boolean;
    readonly isLoop: boolean;
    readonly isPreloadActive: boolean;
    readonly videoHeight: number;
    readonly videoWidth: number;
    readonly src: string;
    readonly currentState: EngineState;
    readonly isAutoPlayActive: boolean;
    readonly isDynamicContent: boolean;
    readonly isDynamicContentEnded: boolean;
    readonly isMetadataLoaded: boolean;
    readonly isSyncWithLive: boolean;
    syncWithLive(): void;
}
